Loading...
Searching...
No Matches
BALL::Rescoring1D Class Reference

`#include <BALL/SCORING/FUNCTIONS/rescoring1D.h>`

Inheritance diagram for BALL::Rescoring1D:

## Public Member Functions

| Rescoring1D (AtomContainer &receptor, AtomContainer &reference_ligand, Options &options, String free_energy_label, ScoringFunction *sf)
Public Member Functions inherited from BALL::Rescoring
| Rescoring (AtomContainer &receptor, AtomContainer &reference_ligand, Options &options, String free_energy_label, ScoringFunction *sf)
virtual | ~Rescoring ()
void | addScoreContributions (Molecule *mol)
void | recalibrate ()
virtual double | rescore (Molecule *mol)
void | saveModel (String filename)
void | loadModel (String filename)
void | calculateQuality (double &correlation, double &q2, double &std_error)
const String & | getName ()

## Protected Member Functions

void | setup_ ()
void | generateScoreContributions_ (vector< vector< double > > *matrix, vector< double > *v)
Protected Member Functions inherited from BALL::Rescoring
virtual void | generateScoreContributions_ (Molecule *, vector< vector< double > > *, vector< double > *)
void | setup_ ()

## Protected Attributes

const Protein * | protein_
Protected Attributes inherited from BALL::Rescoring
ScoringFunction * | scoring_function_
RescoreQSARData | data_
QSAR::RegressionModel * | model_
String | free_energy_label_
String | ff_filename_
bool | convert_
bool | use_calibration_
vector< double > | predicted_affinities_
vector< double > | experimental_affinities_
bool | check_applicability_
String | name_
std::ofstream | stddev_out_

## Detailed Description

Definition at line 13 of file rescoring1D.h.

## Constructor & Destructor Documentation

## Rescoring1D()

BALL::Rescoring1D::Rescoring1D | ( | AtomContainer & | receptor,
|  | AtomContainer & | reference_ligand,
|  | Options & | options,
|  | String | free_energy_label,
|  | ScoringFunction * | sf )

## Member Function Documentation

## generateScoreContributions_()

void BALL::Rescoring1D::generateScoreContributions_ | ( | vector< vector< double > > * | matrix,
|  | vector< double > * | v )

protected

## setup_()

void BALL::Rescoring1D::setup_ | ( |  | ) |

protected

## Member Data Documentation

## protein_

const Protein* BALL::Rescoring1D::protein_

protected

Definition at line 20 of file rescoring1D.h.